Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface Updater

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface Updater

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Updater'.

The following features are supported:

- `Diagram Updater Class Name`
- `Node Descriptor Class Name`
- `Link Descriptor Class Name`

See Also:
  `org.eclipse.gmf.codegen.gmfgen.GMFGenPackage#getUpdater()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`java.lang.String` `getDiagramUpdaterClassName()` Returns the value of the 'Diagram Updater Class Name' attribute
`java.lang.String` `getDiagramUpdaterQualifiedClassName()`
`java.lang.String` `getLinkDescriptorClassName()` Returns the value of the 'Link Descriptor Class Name' attribute
`java.lang.String` `getLinkDescriptorQualifiedClassName()`
`java.lang.String` `getNodeDescriptorClassName()` Returns the value of the 'Node Descriptor Class Name' attribute
`java.lang.String` `getNodeDescriptorQualifiedClassName()`
`void` `setDiagramUpdaterClassName(java.lang.String value)` Sets the value of the '`Diagram Updater Class Name`' attribute
`void` `setLinkDescriptorClassName(java.lang.String value)` Sets the value of the '`Link Descriptor Class Name`' attribute
`void` `setNodeDescriptorClassName(java.lang.String value)` Sets the value of the '`Node Descriptor Class Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDiagramUpdaterClassName

    java.lang.String getDiagramUpdaterClassName()

  Returns the value of the 'Diagram Updater Class Name' attribute.

  If the meaning of the 'Diagram Updater Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Updater Class Name' attribute.
  See Also:
    `setDiagramUpdaterClassName(String)`, `org.eclipse.gmf.codegen.gmfgen.GMFGenPackage#getUpdater_DiagramUpdaterClassName()`
  ** Generated **
  Model:

### setDiagramUpdaterClassName

    void setDiagramUpdaterClassName(java.lang.String value)

  Sets the value of the '`Diagram Updater Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Diagram Updater Class Name' attribute.
  See Also:
    `getDiagramUpdaterClassName()`
  ** Generated **

### getNodeDescriptorClassName

    java.lang.String getNodeDescriptorClassName()

  Returns the value of the 'Node Descriptor Class Name' attribute.

  If the meaning of the 'Node Descriptor Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Node Descriptor Class Name' attribute.
  See Also:
    `setNodeDescriptorClassName(String)`, `org.eclipse.gmf.codegen.gmfgen.GMFGenPackage#getUpdater_NodeDescriptorClassName()`
  ** Generated **
  Model:

### setNodeDescriptorClassName

    void setNodeDescriptorClassName(java.lang.String value)

  Sets the value of the '`Node Descriptor Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Node Descriptor Class Name' attribute.
  See Also:
    `getNodeDescriptorClassName()`
  ** Generated **

### getLinkDescriptorClassName

    java.lang.String getLinkDescriptorClassName()

  Returns the value of the 'Link Descriptor Class Name' attribute.

  If the meaning of the 'Link Descriptor Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Link Descriptor Class Name' attribute.
  See Also:
    `setLinkDescriptorClassName(String)`, `org.eclipse.gmf.codegen.gmfgen.GMFGenPackage#getUpdater_LinkDescriptorClassName()`
  ** Generated **
  Model:

### setLinkDescriptorClassName

    void setLinkDescriptorClassName(java.lang.String value)

  Sets the value of the '`Link Descriptor Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Link Descriptor Class Name' attribute.
  See Also:
    `getLinkDescriptorClassName()`
  ** Generated **

### getDiagramUpdaterQualifiedClassName

    java.lang.String getDiagramUpdaterQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getNodeDescriptorQualifiedClassName

    java.lang.String getNodeDescriptorQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getLinkDescriptorQualifiedClassName

    java.lang.String getLinkDescriptorQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.